Subject: Re: 16 CHAR SHADOW PASSWORDS

From: [email-masked] (Koos van den Hout _U nix and we all_)
Date: Wed, 15 Nov 1995 08:46:20 +0100 (MET)

Quoting [email-masked], who wrote :

>    Hello, I have just joined this list, and I am looking for info
>  about using 16 CHAR shadow password with wu-ftpd. Is there patch
>  or some work around so that wu-ftpd will support 16 CHAR shadow
>  passwords?

Check the FAQ at http://www.hvu.nl/~koos/wu-ftpd-faq.

The part there about long shadow passwords is linux-specific. If you're
running on another platform then Linux it's possible that there is some other
function for long shadow passwords (look in your local shadow.h).

I'd be very interested in knowing what that function is then ;)

                                              Grtx. KH

-- 
  Koos van den Hout,           Internetter, Unix freak and BBS SysOp at large
  [email-masked] (Home)        BBS Koos z'n Doos (+31-30-6036637 28k8)
  [email-masked] (Work)  <-- finger -l for PGPkey    (+31-30-6056619 14k4)
  http://www.hvu.nl/~koos (WWW)    Looking for a license plate with "RFC 822"
  We are root. You will be assimilated. Resistance is useless. Clickety Click

---

From: [email-masked] (David L. Thompson)
Date: Tue, 14 Nov 1995 17:29:54 -0700

Hah,

I fixed my own problem.  I found out something really interesting.  I had
ftp defined in /etc/passwd as such:

ftp:*:200:200::/local/ftp/./:/bin/ksh

I found out that if I redefined this as:

ftp:*:200:200::/local/ftp:/bin/ksh

Then everything all of a sudden started working.  Can someone please
explain this to me?  Thanks for all of the suggestions anyway.

David

.............................................................................
David L. Thompson                     mailto:[email-masked]
The University of Montana/ITRC        The University of Montana/CS Department
Digital Multimedia Specialist         Missoula, MT  59812
                                      Work Phone : (406)243-4810

---

From: "(OO Tech. Admin.)" <[email-masked]>
Date: Tue, 14 Nov 1995 19:45:52 -0500 (EST)

---

 [email-masked]               Full Internet Provider     Local Online Service   
 Online Orlando            Shell/SLIP/PPP    
 www: http://oo.com/                                  (407) 647-7559

---

From: Michael Brennen <[email-masked]>
Date: Tue, 14 Nov 1995 19:06:08 -0600 (CST)

> explain this to me?  Thanks for all of the suggestions anyway.

Not sure precisely why it changed it, unless it has to do with 
pattern matching the path in ftpaccess.  Too much other stuff to do to 
stop to look at the code right now.

However -- I would remove the /bin/ksh as the shell and put in
/etc/ftponly, where /etc/ftponly does not exist but is found listed in
/etc/shells.  This will make it more secure from someone using the ftp 
login from a terminal.  Granted, with locked password it should be okay, 
but it is something I would close up for completeness.

Michael
---------------------------------------------------------------------
Michael Brennen, President   /           /           [email-masked]
FishNet, Inc.               / Internet  /         http://www.fni.com/ 
P.O. Box 940451            /  Services /     (214) 783-2553 (vox/fax)
Plano,  TX  75074-0451    /           /  finger me for PGP public key